Page MenuHomePhabricator

Add support for worldcat search api xml results
Closed, ResolvedPublic

Description

Worldcat gives us access to their open search which takes any identifier at all. It would be good to use this at the very least when we cannot identify anything else from the input given to us.

Event Timeline

Mvolz created this task.Apr 6 2017, 12:21 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 6 2017, 12:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mvolz renamed this task from Add support for worldcat opensearch xml results to Add support for worldcat search api xml results.Apr 6 2017, 12:25 PM
Mvolz triaged this task as Normal priority.May 8 2017, 10:16 AM

Change 350558 had a related patch set uploaded (by Mvolz; owner: Marielle Volz):
[mediawiki/services/citoid@master] [WIP] Support search for arbitrary strings

https://gerrit.wikimedia.org/r/350558

Change 350558 abandoned by Mvolz:
[WIP] Support search for arbitrary strings

Reason:
Abandon in favour of Icc172cee

https://gerrit.wikimedia.org/r/350558

Change 433542 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] Use WorldCat for open search as well

https://gerrit.wikimedia.org/r/433542

Mvolz moved this task from Service to Waiting on Deploy on the Citoid board.

Change 433542 merged by Mobrovac:
[mediawiki/services/citoid@master] Use WorldCat for open search as well

https://gerrit.wikimedia.org/r/433542

Mentioned in SAL (#wikimedia-operations) [2018-08-06T17:34:11Z] <mobrovac@deploy1001> Started deploy [citoid/deploy@4f5ba15]: Use WorldCat for open search as well - T162357

Mentioned in SAL (#wikimedia-operations) [2018-08-06T17:37:40Z] <mobrovac@deploy1001> Finished deploy [citoid/deploy@4f5ba15]: Use WorldCat for open search as well - T162357 (duration: 03m 29s)

mobrovac closed this task as Resolved.Aug 6 2018, 5:40 PM
mobrovac added a subscriber: mobrovac.

Deployed, resolving.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 6 2018, 5:40 PM